Upstream information

CVE-2017-3140 at MITRE

Description

If named is configured to use Response Policy Zones (RPZ) an error processing some rule types can lead to a condition where BIND will endlessly loop while handling a query. Affects BIND 9.9.10, 9.10.5, 9.11.0->9.11.1, 9.9.10-S1, 9.10.5-S1.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 2.6
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:H/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 3.7
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1044225 [RESOLVED / INVALID], 1044226 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • bind >= 9.11.2-12.8.1
  • bind-chrootenv >= 9.11.2-12.8.1
  • bind-devel >= 9.11.2-12.8.1
  • bind-doc >= 9.11.2-12.8.1
  • bind-utils >= 9.11.2-12.8.1
  • libbind9-160 >= 9.11.2-12.8.1
  • libdns169 >= 9.11.2-12.8.1
  • libirs-devel >= 9.11.2-12.8.1
  • libirs160 >= 9.11.2-12.8.1
  • libisc166 >= 9.11.2-12.8.1
  • libisccc160 >= 9.11.2-12.8.1
  • libisccfg160 >= 9.11.2-12.8.1
  • liblwres160 >= 9.11.2-12.8.1
  • python3-bind >= 9.11.2-12.8.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA bind-devel-9.11.2-12.8.1
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA bind-9.11.2-12.8.1
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • bind >= 9.16.6-20.39
  • bind-chrootenv >= 9.16.6-20.39
  • bind-devel >= 9.16.6-20.39
  • bind-doc >= 9.16.6-20.39
  • bind-utils >= 9.16.6-20.39
  • libbind9-1600 >= 9.16.6-20.39
  • libdns1605 >= 9.16.6-20.39
  • libirs-devel >= 9.16.6-20.39
  • libirs1601 >= 9.16.6-20.39
  • libisc1606 >= 9.16.6-20.39
  • libisccc1600 >= 9.16.6-20.39
  • libisccfg1600 >= 9.16.6-20.39
  • libns1604 >= 9.16.6-20.39
  • python3-bind >= 9.16.6-20.39
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA bind-devel-9.16.6-20.39
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA bind-9.16.6-20.39
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • bind >= 9.11.2-12.13.2
  • bind-chrootenv >= 9.11.2-12.13.2
  • bind-devel >= 9.11.2-12.13.2
  • bind-doc >= 9.11.2-12.13.2
  • bind-utils >= 9.11.2-12.13.2
  • libbind9-160 >= 9.11.2-12.13.2
  • libdns169 >= 9.11.2-12.13.2
  • libirs-devel >= 9.11.2-12.13.2
  • libirs160 >= 9.11.2-12.13.2
  • libisc166 >= 9.11.2-12.13.2
  • libisccc160 >= 9.11.2-12.13.2
  • libisccfg160 >= 9.11.2-12.13.2
  • liblwres160 >= 9.11.2-12.13.2
  • python3-bind >= 9.11.2-12.13.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA bind-devel-9.11.2-12.13.2
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA bind-9.11.2-12.13.2
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • bind-devel >= 9.11.2-12.8.1
  • bind-utils >= 9.11.2-12.8.1
  • libbind9-160 >= 9.11.2-12.8.1
  • libdns169 >= 9.11.2-12.8.1
  • libirs-devel >= 9.11.2-12.8.1
  • libirs160 >= 9.11.2-12.8.1
  • libisc166 >= 9.11.2-12.8.1
  • libisccc160 >= 9.11.2-12.8.1
  • libisccfg160 >= 9.11.2-12.8.1
  • liblwres160 >= 9.11.2-12.8.1
  • python3-bind >= 9.11.2-12.8.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA bind-devel-9.11.2-12.8.1
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • bind-devel >= 9.11.2-12.13.2
  • bind-utils >= 9.11.2-12.13.2
  • libbind9-160 >= 9.11.2-12.13.2
  • libdns169 >= 9.11.2-12.13.2
  • libirs-devel >= 9.11.2-12.13.2
  • libirs160 >= 9.11.2-12.13.2
  • libisc166 >= 9.11.2-12.13.2
  • libisccc160 >= 9.11.2-12.13.2
  • libisccfg160 >= 9.11.2-12.13.2
  • liblwres160 >= 9.11.2-12.13.2
  • python3-bind >= 9.11.2-12.13.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA bind-devel-9.11.2-12.13.2
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • bind-devel >= 9.16.6-20.39
  • bind-utils >= 9.16.6-20.39
  • libbind9-1600 >= 9.16.6-20.39
  • libdns1605 >= 9.16.6-20.39
  • libirs-devel >= 9.16.6-20.39
  • libirs1601 >= 9.16.6-20.39
  • libisc1606 >= 9.16.6-20.39
  • libisccc1600 >= 9.16.6-20.39
  • libisccfg1600 >= 9.16.6-20.39
  • libns1604 >= 9.16.6-20.39
  • python3-bind >= 9.16.6-20.39
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA bind-devel-9.16.6-20.39
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • bind-utils >= 9.16.20-150400.3.6
  • python3-bind >= 9.16.20-150400.3.6
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA bind-utils-9.16.20-150400.3.6
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise Module for Basesystem 15
  • bind-devel >= 9.11.2-10.4
  • bind-utils >= 9.11.2-10.4
  • libbind9-160 >= 9.11.2-10.4
  • libdns169 >= 9.11.2-10.4
  • libirs-devel >= 9.11.2-10.4
  • libirs160 >= 9.11.2-10.4
  • libisc166 >= 9.11.2-10.4
  • libisccc160 >= 9.11.2-10.4
  • libisccfg160 >= 9.11.2-10.4
  • liblwres160 >= 9.11.2-10.4
  • python3-bind >= 9.11.2-10.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA bind-devel-9.11.2-10.4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • bind >= 9.16.20-150400.3.6
  • bind-doc >= 9.16.20-150400.3.6
  • bind-utils >= 9.16.20-150400.3.6
  • python3-bind >= 9.16.20-150400.3.6
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA bind-utils-9.16.20-150400.3.6
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA bind-9.16.20-150400.3.6
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • bind >= 9.11.2-10.4
  • bind-chrootenv >= 9.11.2-10.4
  • bind-devel >= 9.11.2-10.4
  • bind-doc >= 9.11.2-10.4
  • bind-utils >= 9.11.2-10.4
  • libbind9-160 >= 9.11.2-10.4
  • libdns169 >= 9.11.2-10.4
  • libirs-devel >= 9.11.2-10.4
  • libirs160 >= 9.11.2-10.4
  • libisc166 >= 9.11.2-10.4
  • libisccc160 >= 9.11.2-10.4
  • libisccfg160 >= 9.11.2-10.4
  • liblwres160 >= 9.11.2-10.4
  • python3-bind >= 9.11.2-10.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA bind-devel-9.11.2-10.4
SUSE Linux Enterprise Module for Server Applications 15 GA bind-9.11.2-10.4
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • bind >= 9.11.2-12.8.1
  • bind-chrootenv >= 9.11.2-12.8.1
  • bind-doc >= 9.11.2-12.8.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA bind-9.11.2-12.8.1
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • bind >= 9.11.2-12.13.2
  • bind-chrootenv >= 9.11.2-12.13.2
  • bind-doc >= 9.11.2-12.13.2
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA bind-9.11.2-12.13.2
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • bind >= 9.16.6-20.39
  • bind-chrootenv >= 9.16.6-20.39
  • bind-doc >= 9.16.6-20.39
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA bind-9.16.6-20.39
SUSE Linux Enterprise Module for Server Applications 15 SP4
  • bind >= 9.16.20-150400.3.6
  • bind-doc >= 9.16.20-150400.3.6
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA bind-9.16.20-150400.3.6
SUSE Linux Enterprise Module for Server Applications 15
  • bind >= 9.11.2-10.4
  • bind-chrootenv >= 9.11.2-10.4
  • bind-doc >= 9.11.2-10.4
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA bind-9.11.2-10.4
openSUSE Leap 15.0
  • bind >= 9.11.2-lp150.7.2
  • bind-chrootenv >= 9.11.2-lp150.7.2
  • bind-utils >= 9.11.2-lp150.7.2
  • libbind9-160 >= 9.11.2-lp150.7.2
  • libdns169 >= 9.11.2-lp150.7.2
  • libirs160 >= 9.11.2-lp150.7.2
  • libisc166 >= 9.11.2-lp150.7.2
  • libisccc160 >= 9.11.2-lp150.7.2
  • libisccfg160 >= 9.11.2-lp150.7.2
  • liblwres160 >= 9.11.2-lp150.7.2
  • python3-bind >= 9.11.2-lp150.7.2
Patchnames:
openSUSE Leap 15.0 GA bind-9.11.2-lp150.7.2
openSUSE Leap 15.2
  • bind >= 9.11.2-lp152.13.7
  • bind-chrootenv >= 9.11.2-lp152.13.7
  • bind-utils >= 9.11.2-lp152.13.7
  • libbind9-160 >= 9.11.2-lp152.13.7
  • libdns169 >= 9.11.2-lp152.13.7
  • libirs160 >= 9.11.2-lp152.13.7
  • libisc166 >= 9.11.2-lp152.13.7
  • libisccc160 >= 9.11.2-lp152.13.7
  • libisccfg160 >= 9.11.2-lp152.13.7
  • liblwres160 >= 9.11.2-lp152.13.7
  • python3-bind >= 9.11.2-lp152.13.7
Patchnames:
openSUSE Leap 15.2 GA bind-9.11.2-lp152.13.3
openSUSE Leap 15.3
  • bind >= 9.16.6-20.39
  • bind-chrootenv >= 9.16.6-20.39
  • bind-utils >= 9.16.6-20.39
  • libbind9-1600 >= 9.16.6-20.39
  • libdns1605 >= 9.16.6-20.39
  • libirs1601 >= 9.16.6-20.39
  • libisc1606 >= 9.16.6-20.39
  • libisccc1600 >= 9.16.6-20.39
  • libisccfg1600 >= 9.16.6-20.39
  • libns1604 >= 9.16.6-20.39
  • python3-bind >= 9.16.6-20.39
Patchnames:
openSUSE Leap 15.3 GA bind-9.16.6-20.39
openSUSE Leap 15.4
  • bind >= 9.16.20-150400.3.6
  • bind-utils >= 9.16.20-150400.3.6
  • python3-bind >= 9.16.20-150400.3.6
Patchnames:
openSUSE Leap 15.4 GA bind-9.16.20-150400.3.6


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 bind Already fixed
SUSE Enterprise Storage 7.1 bind Already fixed
SUSE Linux Enterprise Desktop 15 SP4 bind Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 bind Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 bind Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 bind Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP4 bind Already fixed
SUSE Linux Enterprise Real Time 15 SP3 bind Already fixed
SUSE Linux Enterprise Server 12 SP5 bind Not affected
SUSE Linux Enterprise Server 12-LTSS bind Not affected
SUSE Linux Enterprise Server 15 SP4 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 bind Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 bind Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 bind Not affected
SUSE Manager Proxy 4.2 bind Already fixed
SUSE Manager Proxy 4.3 bind Already fixed
SUSE Manager Retail Branch Server 4.2 bind Already fixed
SUSE Manager Retail Branch Server 4.3 bind Already fixed
SUSE Manager Server 4.2 bind Already fixed
SUSE Manager Server 4.3 bind Already fixed
SUSE Manager Tools for SLE Micro 5 bind Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP4 bind Affected
SUSE Linux Enterprise High Performance Computing 15 bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS bind Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP1 bind Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 bind Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 bind Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP1 bind Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP2 bind Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP3 bind Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL bind Not affected
SUSE Linux Enterprise Server 12 SP4 bind Affected
SUSE Linux Enterprise Server 12 SP4-LTSS bind Not affected
SUSE Linux Enterprise Server 15 SP1 bind Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS bind Already fixed
SUSE Linux Enterprise Server 15 SP2 bind Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS bind Already fixed
SUSE Linux Enterprise Server 15 SP3 bind Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS bind Already fixed
SUSE Linux Enterprise Server 15-ESPOS bind Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 bind Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 bind Not affected
SUSE Linux Enterprise Server for SAP Applications 15 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 bind Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 bind Not affected
SLES for SAP Applications 11 SP2 bind Not affected
SUSE CaaS Platform 3.0 bind Not affected
SUSE CaaS Platform 4.0 bind Already fixed
SUSE CaaS Platform 4.5 bind Already fixed
SUSE Enterprise Storage 6 bind Already fixed
SUSE Linux Enterprise Desktop 11 SP4 bind Not affected
SUSE Linux Enterprise Desktop 12 bind Not affected
SUSE Linux Enterprise Desktop 12 SP1 bind Not affected
SUSE Linux Enterprise Desktop 12 SP2 bind Affected
SUSE Linux Enterprise Desktop 12 SP3 bind Not affected
SUSE Linux Enterprise Desktop 12 SP4 bind Affected
SUSE Linux Enterprise Desktop 15 bind Already fixed
SUSE Linux Enterprise Desktop 15 SP1 bind Already fixed
SUSE Linux Enterprise Desktop 15 SP2 bind Already fixed
SUSE Linux Enterprise Desktop 15 SP3 bind Already fixed
SUSE Linux Enterprise Module for Basesystem 15 bind Already fixed
SUSE Linux Enterprise Module for Server Applications 15 bind Already fixed
SUSE Linux Enterprise Real Time 15 SP2 bind Already fixed
SUSE Linux Enterprise Server 11 SP1 bind Not affected
SUSE Linux Enterprise Server 11 SP2 bind Not affected
SUSE Linux Enterprise Server 11 SP3 bind Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS bind Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS bind Not affected
SUSE Linux Enterprise Server 11 SP4 bind Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS bind Not affected
SUSE Linux Enterprise Server 12 bind Not affected
SUSE Linux Enterprise Server 12 SP1 bind Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS bind Not affected
SUSE Linux Enterprise Server 12 SP2 bind Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS bind Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS bind Not affected
SUSE Linux Enterprise Server 12 SP3 bind Not affected
SUSE Linux Enterprise Server 12 SP3-BCL bind Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS bind Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS bind Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS bind Not affected
SUSE Linux Enterprise Server 15 bind Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL bind Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL bind Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL bind Already fixed
SUSE Linux Enterprise Server 15-LTSS bind Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 bind Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 bind Not affected
SUSE Linux Enterprise Server for SAP Applications 12 bind Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 bind Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 bind Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 bind Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 bind Not affected
SUSE Linux Enterprise Software Development Kit 12 bind Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 bind Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 bind Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 bind Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 bind Affected
SUSE Manager Proxy 4.0 bind Already fixed
SUSE Manager Proxy 4.1 bind Already fixed
SUSE Manager Retail Branch Server 4.0 bind Already fixed
SUSE Manager Retail Branch Server 4.1 bind Already fixed
SUSE Manager Server 4.0 bind Already fixed
SUSE Manager Server 4.1 bind Already fixed
SUSE OpenStack Cloud 7 bind Not affected
SUSE OpenStack Cloud 8 bind Not affected
SUSE OpenStack Cloud 9 bind Not affected
SUSE OpenStack Cloud Crowbar 8 bind Not affected
SUSE OpenStack Cloud Crowbar 9 bind Not affected


SUSE Timeline for this CVE

CVE page created: Wed Jun 14 09:33:25 2017
CVE page last modified: Tue Mar 7 12:31:16 2023